# SPDX-FileCopyrightText: 2021 Helmholtz Centre for Environmental Research (UFZ)
# SPDX-FileCopyrightText: 2021 Helmholtz-Zentrum Dresden - Rossendorf (HZDR)
#
# SPDX-License-Identifier: Apache-2.0

---
galaxy_info:
  role_name: gitlab_runner
  namespace: hifis
  author: HIFIS Software team
  description: Install GitLab CI in Openstack
  company: Helmholtz Association
  issue_tracker_url: https://gitlab.com/hifis/ansible/gitlab-ci-openstack/-/issues
  github_branch: main
  license: Apache-2.0
  min_ansible_version: 2.9

  platforms:
    - name: Ubuntu
      versions:
        - focal
    - name: Debian
      versions:
        - buster

  galaxy_tags:
    - gitlab
    - runner
    - ci
    - cd
    - openstack

collections:
  - community.crypto

dependencies:
  - role: geerlingguy.docker
    version: 4.1.1
    when: gitlab_runner_install_docker
    vars:
      docker_install_compose: false
...
